Package ch.qos.logback.classic.pattern

## Interface Abbreviator

All Known Implementing Classes:
  `ClassNameOnlyAbbreviator`, `TargetLengthBasedClassNameAbbreviator`

    public interface Abbreviator

An interface used for abbreviating strings according to different policies.

Author:
  Ceki Gulcu

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `abbreviate​(java.lang.String in)`

### Method Detail

#### abbreviate

    java.lang.String abbreviate​(java.lang.String in)